之前买了一个微软的设计师蓝牙鼠标,但是我说过它不能和 Ubuntu 14.04 连接,理由是不支持蓝牙 4.0 的 Low Energy 技术。

实际上这玩意在 BlueZ 5.0 里得到了支持,但是 Ubuntu 14.04 里还是 BlueZ 4.X。

那么这里有个方法可以启用 BlueZ 5 以及蓝牙 4.0 和 LE 技术的支持,你需要有所牺牲。

升级之后 Gnome 的蓝牙管理彻底失效,必须要用 Blueman 接替管理。

如果不在意的话,就继续吧。

添加 PPA

sudo add-apt-repository ppa:vidplace7/bluez5
sudo apt-add-repository ppa:blueman/ppa
sudo apt-get update
sudo apt-get install blueman
sudo apt-get install bluez

在最后一步安装 BlueZ 5 的时候,你会发现终端卡死,请开启一个新终端强行杀掉。

sudo killall apt-get
sudo rm /var/lib/dpkg/lock

然后运行修复安装

sudo dpkg --configure -a

之后重新启动 Blueman 管理器,如果你之前安装了,务必先杀掉,手动或者命令都无所谓。

killall blueman-manager
blueman-applet &

再次添加设计师鼠标,发现已经可以用了。

选区_874.png

遇到的问题:

1,在 Ubuntu 14.04 下会出现无法关机的情况,如果你和我一样是“笔记本合盖就走”的人,估计影响不大。
2,每次开机蓝牙都是默认关闭的,应该是和启动脚本有关,但若和上一条一样合盖就走,影响不大。
3,一些启用蓝牙的地方还是老的 Gnome-Bluetooth 管理,那个已经失效了。
4, Ubuntu 15.10 已经升级到了 BlueZ5 所以在不久的 Ubuntu 16.04 LTS 来临之前,我建议等待。

参考链接:
http://askubuntu.com/questions/646433/microsoft-designer-mouse-bluetooth-4-0-on-ubuntu-14-04-lts
http://markrages.tumblr.com/post/124253167608/set-up-the-varmilo-vb87m-bluetooth-4-keyboard-in